Build that's portable between x86_64 and Apple Silicon, on recent versions of macOS?

Hi,

I revived an old project and compiled it against 0.11.2 on my Intel Mac, where it runs fine. I sent it to my colleague to test it on his M1 Mac, but it only shows this message saying the application is broken:

I don’t have that much experience with Apple Silicon yet … the changelog says that 0.11.2 supports it. Does it mean I have to build it on the Apple Silicon device ?

EDIT: This doesn’t seem to be a problem with Apple Silicon, the same happens when trying to run it on another Intel mac. I don’t remember this happening in the past, is it something with recent version of macOS ?

Best,
N

Ok, just found out it’s a signing issue with recent versions of macOS.

Sorry for the inconvenience